#{extends 'border.html'/}
<div class="container">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{prakatalog.PenawaranCtr.index()}">&{'daftar_penawaran.label'}</a></li>
				<li class="active">&{'ubah.label'} &{'penawaran.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		
			#{alert /}
		</div>
	</div>
	#{if penawaran.alasan_revisi != null}
	<div class="row">
		<div class="col-md-12">
			<div class="alert alert-danger" role="alert">
		        <h4 class="alert-heading">&{'alasan.label'} &{'revisi.label'}</h4>
		        <p>${penawaran.alasan_revisi}</p>
				<br/>
                <h4 class="alert-heading">&{'batas_akhir.label'} &{'revisi.label'}</h4>
                <p>${penawaran.batas_akhir_revisi} #{if penawaran.revisi_sudah_kadaluarsa == true}(&{'revisi_penawaran_berakhir.label'})#{/if}</p>
		    </div>
		</div>
	</div>
	#{/if}

	<div class="row">
		<div class="wizard-form-wrapper">
			<div class="padded">
				<div id="rootwizard">
					<div class="wizard-header">
						<div class="row">
							<div class="col-md-7 col-md-offset-3">
								<div class="navbar">
									<div class="navbar-inner">
										<ul>
											<li>
												<a href="#tab1" data-toggle="tab" class="btn-circle">1</a>
												<span>&{'data_sikap.label'}</span>
											</li>
											<li>
												<a href="#tab2" data-toggle="tab" class="btn-circle">2</a>
												<span>&{'informasi.label'} PIC</span>
											</li>
											<li>
												<a href="#tab3" data-toggle="tab" class="btn-circle">3</a>
												<span>&{'unggah.label'} &{'dokumen_penawaran.label'}</span>
											</li>
										</ul>
									</div>
								</div>
							</div>
						</div>
					</div>
					
					<div class="wizard-body">
						<div class="panel panel-default">
							<div class="panel-body">
								<div class="row">
									<div class="col-md-12">
										<div id="bar" class="progress">
											<div class="progress-bar" role="progressbar" aria-valuenow="0"
												aria-valuemin="0" aria-valuemax="100" style="width: 0%;"></div>
										</div>
									</div>
								</div>
								
								<div class="row">
									#{form @prakatalog.PenawaranCtr.editSubmit(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}
									<input type="hidden" name="penawaran.id" value="${penawaran.id}"/>
									<input type="hidden" name="rkn_id" value="${rkn_id}"/>
									<input type="hidden" name="penawaran.usulan_id" value="${usulan_id}"/>
									<div class="tab-content">
						                <div class="tab-pane" id="tab1">
						                    <ul class="nav nav-tabs" role="tablist">
						                        <li role="presentation" class="active">
													<a href="#identitas" aria-controls="group-role" role="tab" data-toggle="tab">&{'identitas.label'}</a>
						                        </li>
												#{list kualifikasiUsulanList, as:'kualifikasi'}
													<li role="presentation">
														<a href="#${kualifikasi.jenis_kualifikasi}" class="" aria-controls="group-role" role="tab" data-toggle="tab">${kualifikasi.jenis_kualifikasi_alias}</a>
													</li>
												#{/list}
						                    </ul>
						
						                    <div class="tab-content">
												#{include 'prakatalog/PenawaranCtr/wizard/tab-sikap/tab-identitas.html'/}
						
												#{list kualifikasiUsulanList, as:'kualifikasi'}
													#{include 'prakatalog/PenawaranCtr/wizard/tab-sikap/tab-'+kualifikasi.jenis_kualifikasi+'.html'/}
												#{/list}
						
						                    </div>
						                </div>
						                <div class="tab-pane" id="tab2">
											#{include 'prakatalog/PenawaranCtr/wizard/tab-informasipic.html' /}
						                </div>
										<div class="tab-pane" id="tab3">
											#{include 'prakatalog/PenawaranCtr/wizard/tab-dokumenpenawaran-edit.html'/}
										</div>
						
										<ul class="pager wizard">
											<li class="previous"><a href="#">&{'sebelumnya.label'}</a></li>
											<li class="next"><a href="#">&{'berikutnya.label'}</a></li>
											<li class="simpan"><button class="btn btn-md btn-primary" #{if penawaran.revisi_sudah_kadaluarsa == true} disabled #{/if}>&{'simpan.label'}</button></li>
										</ul>
									</div>
									#{/form}
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">

	var pulled_data = [];

	$(document).ready(function() {
		$('#rootwizard').bootstrapWizard({
			onTabShow : function(tab, navigation, index) {
				$('.next').show();
				$('.simpan').hide();
				var $total = navigation.find('li').length;
				var $current = index + 1;
				var $percent = ($current / $total) * 100;
				$('#rootwizard .progress-bar').css({
					width : $percent + '%'
				});
				
				if($current === $total) {
					$('.next').hide();
					$('.simpan').css('float', 'right');
					$('.simpan').show();
				}
			},
			onTabClick: function(tab, navigation, index) {
				alert('on tab click disabled');
				return false;
			}
		});

        var rkn_id = "${rkn_id}";

		#{list kualifikasiUsulanList, as:'k'}
            getDataSikap("${k.jenis_kualifikasi}", rkn_id);
		#{/list}


	});

	 function getDataSikap (kualifikasi, rkn_id) {

		$.ajax({
			type:'post',
			url:'@{prakatalog.PenawaranCtr.getDataSikap()}',
			dataType:'json',
			data:{
				jenis_kualifikasi:kualifikasi,
				rkn_id: rkn_id
			},
			success: function(data){

				var html = populateDataSikap(data,kualifikasi);
				$("#tbl-"+kualifikasi+" tbody").html(html);
			}
		});

	};

</script>
#{/set}
